# SalesChannelAttributeConfig

## GET /api/v1/channel/{channel\_id}/attribute\_configs/{id}/

> Retrieve a specific sales channel attribute configuration

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeConfigGet":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Primary key of the attribute configuration."},"attribute_set":{"type":"integer","description":"ID of the associated attribute set."},"attribute_set_name":{"type":"string","description":"Name of the associated attribute set."},"attribute":{"type":"integer","description":"ID of the associated attribute."},"attribute_name":{"type":"string","description":"Name of the associated attribute."},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"ID of the locale-specific attribute schema."},"attribute_remote_id":{"type":"string","nullable":true,"description":"Remote identifier for the attribute."},"is_required":{"type":"boolean","description":"Indicates if the attribute is required. Defaults to False."},"is_variant":{"type":"boolean","description":"Indicates if the attribute is a variant. Defaults to False."},"is_custom":{"type":"boolean","description":"Indicates if the attribute is custom. Defaults to False."},"is_image_attribute":{"type":"boolean","description":"Indicates if the attribute is an image attribute. Defaults to False."},"is_meta":{"type":"boolean","description":"Indicates if the attribute is a meta attribute. Defaults to False."},"modified_date":{"type":"string","format":"date-time","description":"Timestamp of the last modification."}}}},"responses":{"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_configs/{id}/":{"get":{"summary":"Retrieve a specific sales channel attribute configuration","tags":["SalesChannelAttributeConfig"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Successfully retrieved the sales channel attribute configuration.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeConfigGet"}}}},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## PUT /api/v1/channel/{channel\_id}/attribute\_configs/{id}/

> Fully update a sales channel attribute configuration

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeConfigUpdate":{"type":"object","properties":{"locale_attribute_schema":{"type":"integer"},"is_required":{"type":"boolean"},"is_variant":{"type":"boolean"},"is_custom":{"type":"boolean"},"is_meta":{"type":"boolean"},"is_image_attribute":{"type":"boolean"}}},"MarketPlaceAttributeConfig":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Primary key of the attribute configuration."},"attribute_set":{"type":"integer","description":"ID of the associated attribute set."},"attribute":{"type":"integer","description":"ID of the associated attribute."},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"ID of the locale-specific attribute schema."},"attribute_remote_id":{"type":"string","nullable":true,"description":"Remote identifier for the attribute."},"is_required":{"type":"boolean","description":"Indicates if the attribute is required. Defaults to False."},"is_variant":{"type":"boolean","description":"Indicates if the attribute is a variant. Defaults to False."},"is_custom":{"type":"boolean","description":"Indicates if the attribute is custom. Defaults to False."},"is_image_attribute":{"type":"boolean","description":"Indicates if the attribute is an image attribute. Defaults to False."},"is_meta":{"type":"boolean","description":"Indicates if the attribute is a meta attribute. Defaults to False."},"modified_date":{"type":"string","format":"date-time","description":"Timestamp of the last modification."},"created_date":{"type":"string","readOnly":true,"format":"date-time","description":"Timestamp when this market place attribute config was created."}}}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_configs/{id}/":{"put":{"summary":"Fully update a sales channel attribute configuration","tags":["SalesChannelAttributeConfig"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeConfigUpdate"}}}},"responses":{"200":{"description":"Successfully updated the attribute configuration.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeConfig"}}}},"400":{"$ref":"#/components/responses/400"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## DELETE /api/v1/channel/{channel\_id}/attribute\_configs/{id}/

> Delete a specific sales channel attribute configuration

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"responses":{"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_configs/{id}/":{"delete":{"summary":"Delete a specific sales channel attribute configuration","tags":["SalesChannelAttributeConfig"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"204":{"description":"Successfully deleted the sales channel attribute configuration."},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## PATCH /api/v1/channel/{channel\_id}/attribute\_configs/{id}/

> Partially update a sales channel attribute configuration

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeConfigUpdate":{"type":"object","properties":{"locale_attribute_schema":{"type":"integer"},"is_required":{"type":"boolean"},"is_variant":{"type":"boolean"},"is_custom":{"type":"boolean"},"is_meta":{"type":"boolean"},"is_image_attribute":{"type":"boolean"}}},"MarketPlaceAttributeConfig":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Primary key of the attribute configuration."},"attribute_set":{"type":"integer","description":"ID of the associated attribute set."},"attribute":{"type":"integer","description":"ID of the associated attribute."},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"ID of the locale-specific attribute schema."},"attribute_remote_id":{"type":"string","nullable":true,"description":"Remote identifier for the attribute."},"is_required":{"type":"boolean","description":"Indicates if the attribute is required. Defaults to False."},"is_variant":{"type":"boolean","description":"Indicates if the attribute is a variant. Defaults to False."},"is_custom":{"type":"boolean","description":"Indicates if the attribute is custom. Defaults to False."},"is_image_attribute":{"type":"boolean","description":"Indicates if the attribute is an image attribute. Defaults to False."},"is_meta":{"type":"boolean","description":"Indicates if the attribute is a meta attribute. Defaults to False."},"modified_date":{"type":"string","format":"date-time","description":"Timestamp of the last modification."},"created_date":{"type":"string","readOnly":true,"format":"date-time","description":"Timestamp when this market place attribute config was created."}}}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_configs/{id}/":{"patch":{"summary":"Partially update a sales channel attribute configuration","tags":["SalesChannelAttributeConfig"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeConfigUpdate"}}}},"responses":{"200":{"description":"Successfully updated the attribute configuration.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeConfig"}}}},"400":{"$ref":"#/components/responses/400"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## GET /api/v1/channel/{channel\_id}/attribute\_configs/

> List all sales channel attribute configurations

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"attribute":{"name":"attribute","in":"query","description":"Filter by related attribute ID","required":false,"schema":{"type":"integer","format":"int64"}},"attribute_set":{"name":"attribute_set","in":"query","description":"Filter by related attribute set ID","required":false,"schema":{"type":"integer","format":"int64"}},"category__in":{"name":"category__in","in":"query","description":"Filter by multiple category node IDs.","required":false,"schema":{"type":"array","items":{"type":"integer"}}},"attribute_set__in":{"name":"attribute_set__in","in":"query","description":"Filter by multiple attribute set IDs.","required":false,"schema":{"type":"array","items":{"type":"integer"}}},"attribute_set__name__icontains":{"name":"attribute_set__name__icontains","in":"query","description":"Filter by attribute set names case-insensitive containing a specific string.","required":false,"schema":{"type":"string"}},"locale_attribute_schema":{"name":"locale_attribute_schema","in":"query","description":"Filter by locale attribute schema.","required":false,"schema":{"type":"integer"}},"attribute_remote_id":{"name":"attribute_remote_id","in":"query","description":"Filter by remote ID of the attribute.","required":false,"schema":{"type":"string"}},"is_required":{"name":"is_required","in":"query","description":"Filter by is_required field.","required":false,"schema":{"type":"boolean"}},"is_variant":{"name":"is_variant","in":"query","description":"Filter by is_variant field.","required":false,"schema":{"type":"boolean"}},"is_custom":{"name":"is_custom","in":"query","description":"Filter by custom attributes.","required":false,"schema":{"type":"boolean"}},"is_image_attribute":{"name":"is_image_attribute","in":"query","description":"Filter by image attributes.","required":false,"schema":{"type":"boolean"}},"is_meta":{"name":"is_meta","in":"query","description":"Filter by meta attributes.","required":false,"schema":{"type":"boolean"}}},"schemas":{"MarketPlaceAttributeConfigGet":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Primary key of the attribute configuration."},"attribute_set":{"type":"integer","description":"ID of the associated attribute set."},"attribute_set_name":{"type":"string","description":"Name of the associated attribute set."},"attribute":{"type":"integer","description":"ID of the associated attribute."},"attribute_name":{"type":"string","description":"Name of the associated attribute."},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"ID of the locale-specific attribute schema."},"attribute_remote_id":{"type":"string","nullable":true,"description":"Remote identifier for the attribute."},"is_required":{"type":"boolean","description":"Indicates if the attribute is required. Defaults to False."},"is_variant":{"type":"boolean","description":"Indicates if the attribute is a variant. Defaults to False."},"is_custom":{"type":"boolean","description":"Indicates if the attribute is custom. Defaults to False."},"is_image_attribute":{"type":"boolean","description":"Indicates if the attribute is an image attribute. Defaults to False."},"is_meta":{"type":"boolean","description":"Indicates if the attribute is a meta attribute. Defaults to False."},"modified_date":{"type":"string","format":"date-time","description":"Timestamp of the last modification."}}}},"responses":{"403":{"description":"Forbidden"},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_configs/":{"get":{"summary":"List all sales channel attribute configurations","tags":["SalesChannelAttributeConfig"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/attribute"},{"$ref":"#/components/parameters/attribute_set"},{"$ref":"#/components/parameters/category__in"},{"$ref":"#/components/parameters/attribute_set__in"},{"$ref":"#/components/parameters/attribute_set__name__icontains"},{"$ref":"#/components/parameters/locale_attribute_schema"},{"$ref":"#/components/parameters/attribute_remote_id"},{"$ref":"#/components/parameters/is_required"},{"$ref":"#/components/parameters/is_variant"},{"$ref":"#/components/parameters/is_custom"},{"$ref":"#/components/parameters/is_image_attribute"},{"$ref":"#/components/parameters/is_meta"}],"responses":{"200":{"description":"A list of sales channel attribute configurations.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MarketPlaceAttributeConfigGet"}}}}},"403":{"$ref":"#/components/responses/403"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## POST /api/v1/channel/{channel\_id}/attribute\_configs/

> Create a new sales channel attribute configuration

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeConfig":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Primary key of the attribute configuration."},"attribute_set":{"type":"integer","description":"ID of the associated attribute set."},"attribute":{"type":"integer","description":"ID of the associated attribute."},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"ID of the locale-specific attribute schema."},"attribute_remote_id":{"type":"string","nullable":true,"description":"Remote identifier for the attribute."},"is_required":{"type":"boolean","description":"Indicates if the attribute is required. Defaults to False."},"is_variant":{"type":"boolean","description":"Indicates if the attribute is a variant. Defaults to False."},"is_custom":{"type":"boolean","description":"Indicates if the attribute is custom. Defaults to False."},"is_image_attribute":{"type":"boolean","description":"Indicates if the attribute is an image attribute. Defaults to False."},"is_meta":{"type":"boolean","description":"Indicates if the attribute is a meta attribute. Defaults to False."},"modified_date":{"type":"string","format":"date-time","description":"Timestamp of the last modification."},"created_date":{"type":"string","readOnly":true,"format":"date-time","description":"Timestamp when this market place attribute config was created."}}}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"403":{"description":"Forbidden"},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_configs/":{"post":{"summary":"Create a new sales channel attribute configuration","tags":["SalesChannelAttributeConfig"],"parameters":[{"$ref":"#/components/parameters/channel_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeConfig"}}}},"responses":{"201":{"description":"Successfully created a new sales channel attribute configuration.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeConfig"}}}},"400":{"$ref":"#/components/responses/400"},"403":{"$ref":"#/components/responses/403"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## GET /api/v1/channel/{channel\_id}/attribute\_configs/detailed\_list/

> List all sales channel attribute configurations with details

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"attribute":{"name":"attribute","in":"query","description":"Filter by related attribute ID","required":false,"schema":{"type":"integer","format":"int64"}},"attribute_set":{"name":"attribute_set","in":"query","description":"Filter by related attribute set ID","required":false,"schema":{"type":"integer","format":"int64"}},"category__in":{"name":"category__in","in":"query","description":"Filter by multiple category node IDs.","required":false,"schema":{"type":"array","items":{"type":"integer"}}},"attribute_set__in":{"name":"attribute_set__in","in":"query","description":"Filter by multiple attribute set IDs.","required":false,"schema":{"type":"array","items":{"type":"integer"}}},"attribute_set__name__icontains":{"name":"attribute_set__name__icontains","in":"query","description":"Filter by attribute set names case-insensitive containing a specific string.","required":false,"schema":{"type":"string"}},"locale_attribute_schema":{"name":"locale_attribute_schema","in":"query","description":"Filter by locale attribute schema.","required":false,"schema":{"type":"integer"}},"attribute_remote_id":{"name":"attribute_remote_id","in":"query","description":"Filter by remote ID of the attribute.","required":false,"schema":{"type":"string"}},"is_required":{"name":"is_required","in":"query","description":"Filter by is_required field.","required":false,"schema":{"type":"boolean"}},"is_variant":{"name":"is_variant","in":"query","description":"Filter by is_variant field.","required":false,"schema":{"type":"boolean"}},"is_custom":{"name":"is_custom","in":"query","description":"Filter by custom attributes.","required":false,"schema":{"type":"boolean"}},"is_image_attribute":{"name":"is_image_attribute","in":"query","description":"Filter by image attributes.","required":false,"schema":{"type":"boolean"}},"is_meta":{"name":"is_meta","in":"query","description":"Filter by meta attributes.","required":false,"schema":{"type":"boolean"}}},"schemas":{"MarketPlaceAttributeConfigGetDetailed":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Primary key of the attribute configuration."},"attribute_set":{"type":"object","properties":{"pk":{"type":"integer","description":"ID of the attribute set."},"name":{"type":"string","description":"Name of the attribute set."},"channel":{"type":"integer","description":"ID of the channel."},"remote_id":{"type":"string","nullable":true,"description":"Remote identifier for the attribute set."},"created_date":{"type":"string","format":"date-time","description":"Timestamp when this attribute set was created."},"modified_date":{"type":"string","format":"date-time","description":"Timestamp of the last modification."}}},"attribute":{"type":"object","properties":{"pk":{"type":"integer","description":"ID of the attribute."},"name":{"type":"string","description":"Name of the attribute."},"channel":{"type":"integer","description":"ID of the channel."},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"ID of the locale attribute schema."},"modified_date":{"type":"string","format":"date-time","description":"Timestamp of the last modification."}}},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"ID of the locale-specific attribute schema."},"attribute_remote_id":{"type":"string","nullable":true,"description":"Remote identifier for the attribute."},"is_required":{"type":"boolean","description":"Indicates if the attribute is required. Defaults to False."},"is_variant":{"type":"boolean","description":"Indicates if the attribute is a variant. Defaults to False."},"is_custom":{"type":"boolean","description":"Indicates if the attribute is custom. Defaults to False."},"is_image_attribute":{"type":"boolean","description":"Indicates if the attribute is an image attribute. Defaults to False."},"is_meta":{"type":"boolean","description":"Indicates if the attribute is a meta attribute. Defaults to False."}}}},"responses":{"403":{"description":"Forbidden"},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_configs/detailed_list/":{"get":{"summary":"List all sales channel attribute configurations with details","tags":["SalesChannelAttributeConfig"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/attribute"},{"$ref":"#/components/parameters/attribute_set"},{"$ref":"#/components/parameters/category__in"},{"$ref":"#/components/parameters/attribute_set__in"},{"$ref":"#/components/parameters/attribute_set__name__icontains"},{"$ref":"#/components/parameters/locale_attribute_schema"},{"$ref":"#/components/parameters/attribute_remote_id"},{"$ref":"#/components/parameters/is_required"},{"$ref":"#/components/parameters/is_variant"},{"$ref":"#/components/parameters/is_custom"},{"$ref":"#/components/parameters/is_image_attribute"},{"$ref":"#/components/parameters/is_meta"}],"responses":{"200":{"description":"A list of sales channel attribute configurations with details.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MarketPlaceAttributeConfigGetDetailed"}}}}},"403":{"$ref":"#/components/responses/403"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/saleschannelattributeconfig.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
